This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 140863 - SDL games or programs crashed when i plug an USB HID Gamepad
SDL games or programs crashed when i plug an USB HID Gamepad
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-25 14:41 EST by Javier Torres Heredia
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.2.8-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 18:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Javier Torres Heredia 2004-11-25 14:41:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041108 Firefox/1.0

Description of problem:
When i install and connecta an USB HID Gamepad all the SDL and related
programs  (game like maelstrom, emulators like atari800, etc.) stop to
working ..
The aplication crash and show the folowing message:
example
$maelstrom

Fatal Signal
Floating Point Exception
(SDL Parachute deployed)...

when i unplugged the gamepad the SDL programs works again, 

Version-Release number of selected component (if applicable):
SDL-1.2.7-8

How reproducible:
Always

Steps to Reproduce:
1.Plug an USB HID Gamepad
2.modprobe analog ,i think(load the kernel module for gamepad)
3.launch an SDL game or program
    

Actual Results:  The aplication crash and show the folowing message:
Fatal Signal
Floating Point Exception
(SDL Parachute deployed)...

Expected Results:  The program able to run 

Additional info:

when i test the gamepad with the command
jstest /dev/js0
the command show a working gamepad test , all works fine,
buttons,direction pad , etc
Comment 1 Mephisto 2004-12-17 19:48:10 EST
i get this same problem after plugging in an XFX Executioner gamepad,
which is reported to be a 7-axis 12-button pad. (dont know what the
7th axis is tho, i can only find 6....). it works fine with my old
analog gameport gamepad (4a 4b), or when going back to SDL-1.2.7-3, or
with non-SDL games with joystick capabilities (like xmame).
Comment 2 atsuya takagi 2004-12-19 17:50:26 EST
hey guys.

Since SDL-1.2.8 was announced with this problem as fixed, i tried to
compile it and seems the problem has been fixed.

here is what i did:
1) get SDL-1.2.8 from http://www.libsdl.org/.
2) install SDL-1.2.7-8.src.rpm which comes with fedora core 3.
3) in your rpm build environment, go to
YOUR_RPM_DIRECTORY/SOURCES/SDL-1.2.7/src/joystick/linux and replace
SDL_sysjoystick.c with one in SDL-1.2.8.
4) go to YOUR_RPM_DIRECTORY/SOURCES/SDL-1.2.7/src/joystick and replace
Makefile.in with one in SDL-1.2.8.
5) rpmbuild -bb SDL.spec
Comment 3 Thomas Woerner 2006-01-27 08:53:11 EST
Please have a look at the latest FC-4 update of SDL (1.2.8-4). Is this version
fixing your problem?
Comment 4 John Thacker 2006-04-27 18:02:44 EDT
No response from reporter.  Looks like bug was fixed in 1.2.8 of SDL.
FC3 is now the responsibility of Fedora Legacy, and this bug does not
look like a security bug.  Since it's fixed in FC4 and FC5, closing.

Note You need to log in before you can comment on or make changes to this bug.